dofile("data/scripts/magic/alchemy.lua")

table.insert( perk_list, 
    {
        id = "NM_BLEED_FUNGUS",
        ui_name = "Fungal Brethren",
        ui_description = "Fill your veins with fungal spores. Feed on decay.",
        ui_icon = "mods/nature_magic/files/gfx/ui/bleed_fungus_sm.png",
        perk_icon = "mods/nature_magic/files/gfx/ui/bleed_fungus.png",
        func = function( entity_perk_item, entity_who_picked, item_name )
        
            local damagemodels = EntityGetComponent( entity_who_picked, "DamageModelComponent" )
            if( damagemodels ~= nil ) then
                for i,damagemodel in ipairs(damagemodels) do
                    ComponentSetValue( damagemodel, "blood_material", "fungi" )
                    ComponentSetValue( damagemodel, "blood_spray_material", "mushroom_seed" )
                    ComponentSetValue( damagemodel, "blood_multiplier", "3.0" )
                    ComponentSetValue( damagemodel, "blood_sprite_directional", "data/particles/bloodsplatters/bloodsplatter_directional_oil_$[1-3].xml" )
                    ComponentSetValue( damagemodel, "blood_sprite_large", "data/particles/bloodsplatters/bloodsplatter_oil_$[1-3].xml" )
                end
            end

            GamePrint("You feel your bones begin to writhe...")

            -- secret effect: heal on eating meats & damage on drinking whisky.
            -- note: adding a script works way better than trying to modify g_ingest_materials.
            -- not only because you have to be careful to keep all the old interactions, but because at the time of writing,
            -- there was no clean way to shuffle function definitions between the separate LuaStates that the player & game itself hold.
            --
            -- this way is also inline with the ECS established in the game already!
            EntityAddComponent( entity_who_picked, "LuaComponent", 
                { 
                    script_ingested_material = "mods/nature_magic/files/scripts/fungus_ingestion.lua",
                    script_inhaled_material = "mods/nature_magic/files/scripts/fungus_ingestion.lua"
                } 
            )

            -- also have to add the new ingestibles to the ingestioncomponent. 
            local values = ""
            for k,v in pairs(g_ingest_materials) do
                values = values .. k .. ","
            end

            values = values .. "alcohol," .. "rotten_meat," .. "meat_slime," .. "meat,"
        
            local ingestion_component = EntityGetFirstComponent( entity_who_picked, "IngestionComponent" )
            ComponentSetMetaCustom( ingestion_component, "ingestible_materials", values)

        end,
    }

)

table.insert( perk_list, 
    {
        id = "NM_VINES",
        ui_name = "Strangling Vines",
        ui_description = "Vines burst forth from your skin.",
        ui_icon = "mods/nature_magic/files/gfx/ui/vines_sm.png",
        perk_icon = "mods/nature_magic/files/gfx/ui/vines.png",
        func = function( entity_perk_item, entity_who_picked, item_name )
            
        EntityAddComponent(entity_who_picked, "LuaComponent",
        {
            execute_every_n_frame="45",
            script_source_file="mods/nature_magic/files/scripts/vines.lua"
        })
            
        end
    })